Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.convention
Class ClasspathConfigurationProvider

    java.lang.Object
      org.apache.struts2.convention.ClasspathConfigurationProvider

All Implemented Interfaces:
  ConfigurationProvider, ContainerProvider, PackageProvider, DispatcherListener

    public class ClasspathConfigurationProvider

extends Object
implements ConfigurationProvider, DispatcherListener

Xwork will only reload configurations, if one ContainerProvider needs reloading, that's all this class does

Constructor Summary
`ClasspathConfigurationProvider(com.opensymphony.xwork2.inject.Container container)`

Method Summary
`void` | `destroy()` Not used.
`void` | `dispatcherDestroyed(Dispatcher du)`
`void` | `dispatcherInitialized(Dispatcher du)`
`void` | `init(Configuration configuration)` Not used.
`void` | `loadPackages()` Loads the packages using the `ActionConfigBuilder`.
`boolean` | `needsReload()` Depends on devMode, relead and actionConfigBuilder.needsReload()
`void` | `register(com.opensymphony.xwork2.inject.ContainerBuilder containerBuilder, com.opensymphony.xwork2.util.location.LocatableProperties locatableProperties)` Does nothing.
`void` | `setDevMode(String mode)`
`void` | `setReload(String reload)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClasspathConfigurationProvider

    public ClasspathConfigurationProvider(com.opensymphony.xwork2.inject.Container container)

Method Detail

### setDevMode

    public void setDevMode(String mode)

### setReload

    public void setReload(String reload)

### destroy

    public void destroy()

  Not used.

  Specified by:
    `destroy` in interface `ContainerProvider`

### init

    public void init(Configuration configuration)

  Not used.

  Specified by:
    `init` in interface `ContainerProvider`
  Specified by:
    `init` in interface `PackageProvider`

### register

    public void register(com.opensymphony.xwork2.inject.ContainerBuilder containerBuilder,
                         com.opensymphony.xwork2.util.location.LocatableProperties locatableProperties)
                  throws ConfigurationException

  Does nothing.

  Specified by:
    `register` in interface `ContainerProvider`
  Throws:
    `ConfigurationException`

### loadPackages

    public void loadPackages()
                      throws ConfigurationException

  Loads the packages using the `ActionConfigBuilder`.

  Specified by:
    `loadPackages` in interface `PackageProvider`
  Throws:
    `ConfigurationException`

### needsReload

    public boolean needsReload()

  Depends on devMode, relead and actionConfigBuilder.needsReload()

  Specified by:
    `needsReload` in interface `ContainerProvider`
  Specified by:
    `needsReload` in interface `PackageProvider`
  Returns:
    Always false.

### dispatcherInitialized

    public void dispatcherInitialized(Dispatcher du)

  Specified by:
    `dispatcherInitialized` in interface `DispatcherListener`

### dispatcherDestroyed

    public void dispatcherDestroyed(Dispatcher du)

  Specified by:
    `dispatcherDestroyed` in interface `DispatcherListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.